summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-11-09 14:53:40 +0100
committerHolger Levsen <holger@layer-acht.org>2012-11-09 14:53:40 +0100
commit4012c47dd42b91af115bfb226ebb84d07441f6ca (patch)
treef20b013ccd79b421609e10cf26341957020c85ba /bin
parent0230bc5625de2ad89ec5dcb2bc8611777ccb9060 (diff)
downloadjenkins.debian.net-4012c47dd42b91af115bfb226ebb84d07441f6ca.tar.xz
add simple webcheck job
Diffstat (limited to 'bin')
-rwxr-xr-xbin/webcheck_url.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/bin/webcheck_url.sh b/bin/webcheck_url.sh
new file mode 100755
index 00000000..366f1890
--- /dev/null
+++ b/bin/webcheck_url.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Copyright 2012 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+# $1 = URL
+
+if [ "$1" == "" ] ; then
+ echo "need at least one URL to act on"
+ echo '# $1 = URL'
+ exit 1
+fi
+
+#set -x
+set -e
+export LANG=C
+export http_proxy="http://localhost:3128"
+
+TMPFILE=$(mktemp -d)
+cd $TMPFILE
+PARAMS=""
+if [ "$2" != "" ] ; then
+ PARAMS=$(for i in $2 ; do echo -n "-y $i " ; done)
+fi
+webcheck $1 $PARAMS
+cd ..
+mv $TMPFILE $(basename $1)